Bug 404671 - pidgin 2.2.2-1.fc7 crashes on MSN
pidgin 2.2.2-1.fc7 crashes on MSN
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: pidgin (Show other bugs)
7
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Warren Togami
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-29 11:21 EST by Richard Allen
Modified: 2008-03-11 10:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-11 10:16:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Allen 2007-11-29 11:21:37 EST
Description of problem:
pidgin crashes shortly after connecting to MSN

Version-Release number of selected component (if applicable):
pidgin-2.2.2-1.fc7


How reproducible:
For me, every time

Steps to Reproduce:
Not sure.  I just start pidgin, count to 10 and watch it crash
  
Actual results:
Program received signal SIGABRT, Aborted

Expected results:
Chatting on MSN

Additional info:
When pidgin crashes it prints out in the terminal:

[richard@ib500linux ~]$ pidgin
libnm_glib_nm_state_cb: dbus returned an error.
  (org.freedesktop.DBus.Error.ServiceUnknown) The name
org.freedesktop.NetworkManager was not provided by any .service files
*** glibc detected *** pidgin: corrupted double-linked list: 0x09a16b30 ***
======= Backtrace: =========
/lib/libc.so.6[0xbeb06d]
/lib/libc.so.6[0xbed0bd]
/lib/libc.so.6(__libc_malloc+0x7e)[0xbeeebe]
/lib/libglib-2.0.so.0(g_malloc+0x36)[0x588fc26]
/lib/libglib-2.0.so.0(g_slice_alloc+0x138)[0x589f9a8]
/usr/lib/libpango-1.0.so.0(pango_script_iter_new+0x29)[0x7a78ce9]
/usr/lib/libpango-1.0.so.0[0x7a683df]
/usr/lib/libpango-1.0.so.0(pango_itemize_with_base_dir+0x9b)[0x7a6925b]
/usr/lib/libpango-1.0.so.0[0x7a717c1]
/usr/lib/libpango-1.0.so.0[0x7a723f7]
/usr/lib/libpango-1.0.so.0(pango_layout_get_pixel_extents+0x56)[0x7a73426]
/usr/lib/libgtk-x11-2.0.so.0[0x34e4781]
/usr/lib/libgtk-x11-2.0.so.0(gtk_cell_renderer_get_size+0xa4)[0x34dd7a4]
/usr/lib/libgtk-x11-2.0.so.0(gtk_tree_view_column_cell_get_size+0x147)[0x36ab677]
/usr/lib/libgtk-x11-2.0.so.0[0x36900a0]
/usr/lib/libgtk-x11-2.0.so.0[0x3694518]
/usr/lib/libgtk-x11-2.0.so.0[0x3694887]
/lib/libglib-2.0.so.0[0x5886a91]
/lib/libglib-2.0.so.0(g_main_context_dispatch+0x182)[0x58887f2]
/lib/libglib-2.0.so.0[0x588b7cf]
/lib/libglib-2.0.so.0(g_main_loop_run+0x1a9)[0x588bb79]
/usr/lib/libgtk-x11-2.0.so.0(gtk_main+0xb4)[0x359ff44]
pidgin(main+0x75f)[0x80be35f]
/lib/libc.so.6(__libc_start_main+0xe0)[0xb9af70]
pidgin[0x80679b1]
======= Memory map: ========
00101000-00109000 r-xp 00000000 08:06 33277134   /usr/lib/libXrender.so.1.3.0
00109000-0010a000 rwxp 00007000 08:06 33277134   /usr/lib/libXrender.so.1.3.0
00110000-00111000 r-xp 00110000 00:00 0          [vdso]
00111000-00115000 r-xp 00000000 08:06 33277142   /usr/lib/libXfixes.so.3.1.0
00115000-00116000 rwxp 00003000 08:06 33277142   /usr/lib/libXfixes.so.3.1.0
00116000-00117000 r-xp 00000000 08:06 33262282   /usr/lib/gconv/ISO8859-1.so
00117000-00119000 rwxp 00000000 08:06 33262282   /usr/lib/gconv/ISO8859-1.so
00119000-0011b000 r-xp 00000000 08:06 34276103   /usr/lib/pidgin/extplacement.so
0011b000-0011c000 rwxp 00001000 08:06 34276103   /usr/lib/pidgin/extplacement.so
0011c000-0011d000 r-xp 00000000 08:06 34276108   /usr/lib/pidgin/iconaway.so
0011d000-0011e000 rwxp 00000000 08:06 34276108   /usr/lib/pidgin/iconaway.so
0011f000-00127000 r-xp 00000000 08:06 33277140   /usr/lib/libXi.so.6.0.0
00127000-00128000 rwxp 00007000 08:06 33277140   /usr/lib/libXi.so.6.0.0
00128000-00129000 r-xp 00000000 08:06 34276106   /usr/lib/pidgin/gtkbuddynote.so
00129000-0012a000 rwxp 00001000 08:06 34276106   /usr/lib/pidgin/gtkbuddynote.so
0012a000-00130000 r-xp 00000000 08:06 33277141   /usr/lib/libXrandr.so.2.1.0
00130000-00131000 rwxp 00005000 08:06 33277141   /usr/lib/libXrandr.so.2.1.0
00131000-00132000 r-xp 00000000 08:06 33819856   /usr/lib/purple-2/libaim.so
00132000-00133000 rwxp 00001000 08:06 33819856   /usr/lib/purple-2/libaim.so
00133000-00135000 r-xp 00000000 08:06 33277139   /usr/lib/libXinerama.so.1.0.0
00135000-00136000 rwxp 00001000 08:06 33277139   /usr/lib/libXinerama.so.1.0.0
00136000-0013f000 r-xp 00000000 08:06 33277143   /usr/lib/libXcursor.so.1.0.2
0013f000-00140000 rwxp 00008000 08:06 33277143   /usr/lib/libXcursor.so.1.0.2
00140000-0014b000 r-xp 00000000 08:06 8978483    /lib/libgcc_s-4.1.2-20070925.so.1
0014b000-0014c000 rwxp 0000a000 08:06 8978483    /lib/libgcc_s-4.1.2-20070925.so.1
0014c000-0014e000 r-xp 00000000 08:06 8978463    /lib/libgmodule-2.0.so.0.1200.13
0014e000-0014f000 rwxp 00002000 08:06 8978463    /lib/libgmodule-2.0.so.0.1200.13
0014f000-00154000 r-xp 00000000 08:06 34276269   /usr/lib/pidgin/ticker.so
00154000-00155000 rwxp 00004000 08:06 34276269   /usr/lib/pidgin/ticker.so
00155000-00170000 r-xp 00000000 08:06 8978434    /lib/ld-2.6.so
00170000-00171000 r-xp 0001a000 08:06 8978434    /lib/ld-2.6.so
00171000-00172000 rwxp 0001b000 08:06 8978434    /lib/ld-2.6.so
00172000-00173000 r-xp 00000000 08:06 33819878   /usr/lib/purple-2/newline.so
00173000-00174000 rwxp 00000000 08:06 33819878   /usr/lib/purple-2/newline.so
00174000-00179000 r-xp 00000000 08:06 33283995   /usr/lib/libgtkspell.so.0.0.0
00179000-0017a000 rwxp 00004000 08:06 33283995   /usr/lib/libgtkspell.so.0.0.0
0017a000-0017b000 r-xp 00000000 08:06 33819859   /usr/lib/purple-2/libicq.so
0017b000-0017c000 rwxp 00001000 08:06 33819859   /usr/lib/purple-2/libicq.so
0017c000-00264000 r-xp 00000000 08:06 28966938   /usr/lib/libpurple.so.0.2.2
00264000-00268000 rwxp 000e7000 08:06 28966938   /usr/lib/libpurple.so.0.2.2
00268000-0026b000 rwxp 00268000 00:00 0
0026b000-0027a000 r-xp 00000000 08:06 34276268   /usr/lib/pidgin/spellchk.so
0027a000-0027b000 rwxp 0000e000 08:06 34276268   /usr/lib/pidgin/spellchk.so
0027b000-0027d000 r-xp 00000000 08:06 34276271   /usr/lib/pidgin/timestamp_format.so
0027d000-0027e000 rwxp 00001000 08:06 34276271   /usr/lib/pidgin/timestamp_format.so
0027e000-00280000 r-xp 00000000 08:06 34276107   /usr/lib/pidgin/history.so
00280000-00281000 rwxp 00001000 08:06 34276107   /usr/lib/pidgin/history.so
00281000-00285000 r-xp 00000000 08:06 34276104   /usr/lib/pidgin/gestures.so
00285000-00286000 rwxp 00004000 08:06 34276104   /usr/lib/pidgin/gestures.so
00286000-00288000 r-xp 00000000 08:06 34276109   /usr/lib/pidgin/markerline.so
00288000-00289000 rwxp 00002000 08:06 34276109   /usr/lib/pidgin/markerline.so
00289000-0028d000 r-xp 00000000 08:06 34276264   /usr/lib/pidgin/musicmessaging.so
0028d000-0028e000 rwxp 00004000 08:06 34276264   /usr/lib/pidgin/musicmessaging.so
0028e000-00290000 r-xp 00000000 08:06 34276588   /usr/lib/pidgin/nautilus.so
00290000-00291000 rwxp 00001000 08:06 34276588   /usr/lib/pidgin/nautilus.so
00291000-00294000 r-xp 00000000 08:06 34275343   /usr/lib/pidgin/convcolors.so
00294000-00295000 rwxp 00002000 08:06 34275343   /usr/lib/pidgin/convcolors.so
00295000-00297000 r-xp 00000000 08:06 34276270   /usr/lib/pidgin/timestamp.so
00297000-00298000 rwxp 00001000 08:06 34276270   /usr/lib/pidgin/timestamp.so
00298000-0029f000 r-xp 00000000 08:06 34276358   /usr/lib/pidgin/xmppconsole.so
0029f000-002a0000 rwxp 00006000 08:06 34276358   /usr/lib/pidgin/xmppconsole.so
002a0000-002ab000 r-xp 00000000 08:06 34276105   /usr/lib/pidgin/gevolution.so
002ab000-002ac000 rwxp 0000a000 08:06 34276105   /usr/lib/pidgin/gevolution.so
002ac000-002cb000 r-xp 00000000 08:06 33277203   /usr/lib/libedata-book-1.2.so.2.4.0
002cb000-002ce000 rwxp 0001e000 08:06 33277203   /usr/lib/libedata-book-1.2.so.2.4.0
002ce000-002d5000 r-xp 00000000 08:06 33273218   /usr/lib/libpopt.so.0.0.0
002d5000-002d6000 rwxp 00006000 08:06 33273218   /usr/lib/libpopt.so.0.0.0
002d6000-00330000 r-xp 00000000 08:06 33277185   /usr/lib/libbonobo-2.so.0.0.0
00330000-0033a000 rwxp 0005a000 08:06 33277185   /usr/lib/libbonobo-2.so.0.0.0
0033a000-0038c000 r-xp 00000000 08:06 33274599   /usr/lib/libcamel-1.2.so.10.0.0
0038c000-0038f000 rwxp 00051000 08:06 33274599   /usr/lib/libcamel-1.2.so.10.0.0
0038f000-0039a000 r-xp 00000000 08:06 33277179   /usr/lib/libavahi-common.so.3.4.3
0039a000-0039b000 rwxp 0000a000 08:06 33277179   /usr/lib/libavahi-common.so.3.4.3
0039b000-003aa000 r-xp 00000000 08:06 33277181   /usr/lib/libavahi-client.so.3.2.2
003aa000-003ab000 rwxp 0000e000 08:06 33277181   /usr/lib/libavahi-client.so.3.2.2
003ab000-003ad000 r-xp 00000000 08:06 8978489    /lib/libutil-2.6.so
003ad000-003ae000 r-xp 00001000 08:06 8978489    /lib/libutil-2.6.so
003ae000-003af000 rwxp 00002000 08:06 8978489    /lib/libutil-2.6.so
003af000-003dc000 r-xp 00000000 08:06 33277178   /usr/lib/libgssapi_krbAborted



I installed pidgin-debuginfo and ran pidgin within gdb:

Program received signal SIGABRT, Aborted.
[Switching to Thread -1208661792 (LWP 11628)]
0x00110402 in __kernel_vsyscall ()
(gdb) where
#0  0x00110402 in __kernel_vsyscall ()
#1  0x00badfa0 in raise () from /lib/libc.so.6
#2  0x00baf8b1 in abort () from /lib/libc.so.6
#3  0x00be4d6b in __libc_message () from /lib/libc.so.6
#4  0x00beb12b in malloc_consolidate () from /lib/libc.so.6
#5  0x00bed0bd in _int_malloc () from /lib/libc.so.6
#6  0x00beeebe in malloc () from /lib/libc.so.6
#7  0x0588fc26 in g_malloc () from /lib/libglib-2.0.so.0
#8  0x0589f9a8 in g_slice_alloc () from /lib/libglib-2.0.so.0
#9  0x07a78ce9 in pango_script_iter_new () from /usr/lib/libpango-1.0.so.0
#10 0x07a683df in ?? () from /usr/lib/libpango-1.0.so.0
#11 0x07a6925b in pango_itemize_with_base_dir ()
   from /usr/lib/libpango-1.0.so.0
#12 0x07a717c1 in ?? () from /usr/lib/libpango-1.0.so.0
#13 0x07a723f7 in ?? () from /usr/lib/libpango-1.0.so.0
#14 0x07a73426 in pango_layout_get_pixel_extents ()
   from /usr/lib/libpango-1.0.so.0
#15 0x034e4781 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#16 0x034dd7a4 in gtk_cell_renderer_get_size ()
   from /usr/lib/libgtk-x11-2.0.so.0
#17 0x036ab677 in gtk_tree_view_column_cell_get_size ()
   from /usr/lib/libgtk-x11-2.0.so.0
#18 0x036900a0 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#19 0x03694518 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#20 0x03694887 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#21 0x05886a91 in ?? () from /lib/libglib-2.0.so.0
#22 0x058887f2 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#23 0x0588b7cf in ?? () from /lib/libglib-2.0.so.0
#24 0x0588bb79 in g_main_loop_run () from /lib/libglib-2.0.so.0
#25 0x0359ff44 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#26 0x080be35f in main (argc=1, argv=0xbfe90454) at gtkmain.c:853
Comment 1 Stu Tomlinson 2008-01-03 22:14:48 EST
If you set, and export, MALLOC_CHECK_=2 and then re-run pidgin, does the
backtrace change?

Do you have any accounts other than MSN enabled?

Is there any chance this could be a duplicate of bug #390901 ?
Comment 2 Stu Tomlinson 2008-03-11 10:16:57 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note You need to log in before you can comment on or make changes to this bug.